getBotLogs
Get bot logs
GET
/v1/admin/bots/{id}/logsAuthorization
AuthorizationBearerBearer authentication header of the form Bearer <token>, where <token> is your auth token.
Header parameters
x-workspace-idstringWorkspace ID
x-multiple-integrations?stringWhether the client supports bots with multiple instances of the same integration. Set to "true" to receive integration instances keyed by their alias instead of their id. This header will be removed in the future, and the API will always return multiple instances keyed by alias.
Path parameters
idstringBot ID
Query parameters
timeStartstringBeginning of the time range to get logs from
timeEnd?stringEnd of the time range to get logs from
level?stringFilter by log level
userId?stringFilter by user ID
workflowId?stringFilter by workflow ID
conversationId?stringFilter by conversation ID
messageContains?stringFilter logs where the message contains this substring
nextToken?stringToken to get the next page of logs
Response
Success
logsobject[]nextToken?string